{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ADRESSE_1"; 
            externalType = VARCHAR2; 
            name = adresse1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 256; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADRESSE_2"; 
            externalType = VARCHAR2; 
            name = adresse2; 
            valueClassName = NSString; 
            valueType = S; 
            width = 512; 
        }, 
        {
            allowsNull = Y; 
            columnName = CIVILITE; 
            externalType = VARCHAR2; 
            name = civilite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 16; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CODE_POSTAL"; 
            externalType = VARCHAR2; 
            name = codePostal; 
            valueClassName = NSString; 
            valueType = S; 
            width = 16; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_CREATION"; 
            externalType = DATE; 
            name = dateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_ECHEANCE"; 
            externalType = DATE; 
            name = dateEcheance; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_MODIFICATION_NOTE"; 
            externalType = DATE; 
            name = dateModificationNote; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_PRELEVEMENT"; 
            externalType = DATE; 
            name = datePrelevement; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_REMBOURSEMENT"; 
            externalType = DATE; 
            name = dateRemboursement; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_VALIDATION"; 
            externalType = DATE; 
            name = dateValidation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "ID_FACTURE"; 
            externalType = NUMBER; 
            name = idFacture; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_FACTURE_ORIGINE"; 
            externalType = NUMBER; 
            name = idFactureOrigine; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_TYPE_FACTURE"; 
            externalType = NUMBER; 
            name = idTypeFacture; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "INDICATION_ABANDON"; 
            externalType = CHAR; 
            name = indicationAbandon; 
            valueClassName = NSNumber; 
            valueType = c; 
        }, 
        {
            allowsNull = Y; 
            columnName = "INDICATION_PRELEVEMENT"; 
            externalType = CHAR; 
            name = indicationPrelevement; 
            valueClassName = NSNumber; 
            valueType = c; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIB_FACTURE"; 
            externalType = VARCHAR2; 
            name = libFacture; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_A_PAYER_HT"; 
            externalType = NUMBER; 
            name = mntAPayerHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_A_PAYER_TTC"; 
            externalType = NUMBER; 
            name = mntAPayerTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_A_PAYER_TVA"; 
            externalType = NUMBER; 
            name = mntAPayerTva; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_FACTURE_HT"; 
            externalType = NUMBER; 
            name = mntFactureHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_FACTURE_TTC"; 
            externalType = NUMBER; 
            name = mntFactureTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_FACTURE_TVA"; 
            externalType = NUMBER; 
            name = mntFactureTva; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOM_PERSONNE"; 
            externalType = VARCHAR2; 
            name = nomPersonne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOTE; 
            externalType = VARCHAR2; 
            name = note; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1024; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOTE_PUBLIC"; 
            externalType = VARCHAR2; 
            name = notePublic; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2048; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUM_COMMANDE"; 
            externalType = VARCHAR2; 
            name = numCommande; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUM_FACTURE"; 
            externalType = VARCHAR2; 
            name = numFacture; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = PAYS; 
            externalType = VARCHAR2; 
            name = pays; 
            valueClassName = NSString; 
            valueType = S; 
            width = 64; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERSID_CREATEUR"; 
            externalType = NUMBER; 
            name = persidCreateur; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERSID_MODIFICATION_NOTE"; 
            externalType = NUMBER; 
            name = persidModificationNote; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERSID_PAYEUR"; 
            externalType = NUMBER; 
            name = persidPayeur; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERSID_VALIDATEUR"; 
            externalType = NUMBER; 
            name = persidValidateur; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PRENOM_PERSONNE"; 
            externalType = VARCHAR2; 
            name = prenomPersonne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = reglementCount; 
            definition = "(SELECT  COUNT (*)  FROM  LITCHI.LIGNES_REGLEMENT LR WHERE LR.ID_FACTURE = t0.ID_FACTURE)"; 
            externalType = NUMBER; 
            isReadOnly = Y; 
            name = reglementCount; 
            readFormat = "(SELECT  COUNT (*)  FROM  LITCHI.LIGNES_REGLEMENT LR WHERE LR.ID_FACTURE = t0.ID_FACTURE)"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = sommePaye; 
            definition = "NVL((SELECT  SUM(LR.MONTANT_TTC)  FROM  LITCHI.LIGNES_REGLEMENT LR WHERE LR.ID_FACTURE = t0.ID_FACTURE),0)"; 
            externalType = NUMBER; 
            isReadOnly = Y; 
            name = sommePaye; 
            precision = 12; 
            readFormat = "NVL((SELECT  SUM(LR.MONTANT_TTC)  FROM  LITCHI.LIGNES_REGLEMENT LR WHERE LR.ID_FACTURE = t0.ID_FACTURE),0)"; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = VILLE; 
            externalType = VARCHAR2; 
            name = ville; 
            valueClassName = NSString; 
            valueType = S; 
            width = 64; 
        }
    ); 
    className = "org.cocktail.fwkcktlcompta.server.metier.EOLitchiEnteteFacture"; 
    classProperties = (
        adresse1, 
        adresse2, 
        civilite, 
        codePostal, 
        dateCreation, 
        dateEcheance, 
        dateModificationNote, 
        datePrelevement, 
        dateRemboursement, 
        dateValidation, 
        idFacture, 
        idFactureOrigine, 
        idTypeFacture, 
        indicationAbandon, 
        indicationPrelevement, 
        libFacture, 
        mntAPayerHt, 
        mntAPayerTtc, 
        mntAPayerTva, 
        mntFactureHt, 
        mntFactureTtc, 
        mntFactureTva, 
        nomPersonne, 
        note, 
        notePublic, 
        numCommande, 
        numFacture, 
        pays, 
        persidCreateur, 
        persidModificationNote, 
        persidPayeur, 
        persidValidateur, 
        prenomPersonne, 
        reglementCount, 
        sommePaye, 
        toPersonne, 
        toTypeFacture, 
        ville
    ); 
    externalName = "LITCHI.ENTETE_FACTURE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            adresse1, 
            adresse2, 
            civilite, 
            codePostal, 
            dateCreation, 
            dateEcheance, 
            dateModificationNote, 
            datePrelevement, 
            dateRemboursement, 
            dateValidation, 
            indicationAbandon, 
            indicationPrelevement, 
            libFacture, 
            mntAPayerHt, 
            mntAPayerTtc, 
            mntAPayerTva, 
            mntFactureHt, 
            mntFactureTtc, 
            mntFactureTva, 
            nomPersonne, 
            note, 
            notePublic, 
            numCommande, 
            numFacture, 
            pays, 
            prenomPersonne, 
            reglementCount, 
            sommePaye, 
            toPersonne, 
            ville
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlcompta.client.metier.EOLitchiEnteteFacture"; 
    }; 
    isReadOnly = Y; 
    name = "FwkCktlCompta_Litchi_EnteteFacture"; 
    primaryKeyAttributes = (idFacture); 
    relationships = (
        {
            destination = "FwkCktlCompta_Grhum_Personne"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persidPayeur; }); 
            name = toPersonne; 
        }, 
        {
            destination = "FwkCktlCompta_Litchi_TypeFacture"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeFacture; sourceAttribute = idTypeFacture; }); 
            name = toTypeFacture; 
        }
    ); 
}
